summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFatih Degirmenci <fdegir@gmail.com>2018-03-22 20:23:02 +0000
committerGerrit Code Review <gerrit@opnfv.org>2018-03-22 20:23:02 +0000
commit4fb43a082642b02cba81440e1fcc03a01caa78ba (patch)
tree408ed923db725df1e4a63246c924989ac28be38d
parent9963c3564ed611de7c9f4db6d2f5a1ace1c1ef61 (diff)
parent1ce7e1ea03559533419106003bd292e4e165d472 (diff)
Merge "xci: osa: Configure the ARA callback plugin on OPNFV host"
-rw-r--r--xci/files/install-lib.sh7
-rw-r--r--xci/installer/osa/playbooks/configure-opnfvhost.yml21
2 files changed, 27 insertions, 1 deletions
diff --git a/xci/files/install-lib.sh b/xci/files/install-lib.sh
index ce52ff4b..2679233d 100644
--- a/xci/files/install-lib.sh
+++ b/xci/files/install-lib.sh
@@ -179,8 +179,13 @@ collect_xci_logs() {
echo "----------------------------------"
# Create the ARA log directory and store the sqlite source database
- mkdir -p ${LOG_PATH}/ara/
+ mkdir -p ${LOG_PATH}/ara/ ${LOG_PATH}/opnfv/ara
+
rsync -q -a "${HOME}/.ara/ansible.sqlite" "${LOG_PATH}/ara/"
+ rsync -q -a root@${OPNFV_HOST_IP}:releng-xci/${LOG_PATH#$XCI_PATH/}/ ${LOG_PATH}/opnfv/ || true
+ rsync -q -a root@${OPNFV_HOST_IP}:.ara/ansible.sqlite ${LOG_PATH}/opnfv/ara/ || true
+
+ sudo -H -E bash -c 'chown ${SUDO_UID}:${SUDO_GID} -R ${LOG_PATH}/'
}
# vim: set ts=4 sw=4 expandtab:
diff --git a/xci/installer/osa/playbooks/configure-opnfvhost.yml b/xci/installer/osa/playbooks/configure-opnfvhost.yml
index 47e9a65f..2485f477 100644
--- a/xci/installer/osa/playbooks/configure-opnfvhost.yml
+++ b/xci/installer/osa/playbooks/configure-opnfvhost.yml
@@ -124,6 +124,27 @@
- pyyaml
- python-neutronclient
- python-openstackclient
+ - name: Install ARA callback plugin in OSA virtualenv
+ pip:
+ name: ara
+ state: present
+ extra_args: '-c https://raw.githubusercontent.com/openstack/requirements/{{ requirements_git_install_branch }}/upper-constraints.txt'
+ executable: '/opt/ansible-runtime/bin/pip'
+ - name: Determine ARA callback location
+ shell: "/opt/ansible-runtime/bin/python -c 'import os,ara; print(os.path.dirname(ara.__file__))'"
+ args:
+ executable: /bin/bash
+ register: _ara_install_dir
+ - name: Create local Ansible plugins directory
+ file:
+ path: "{{ ansible_env.HOME }}/.ansible/plugins/callback/ara"
+ state: directory
+ - name: Configure ARA callback
+ file:
+ path: "{{ ansible_env.HOME }}/.ansible/plugins/callback/ara/callbacks"
+ src: "{{ _ara_install_dir.stdout }}/plugins/callbacks"
+ force: yes
+ state: link
- name: generate password token
command: "python pw-token-gen.py --file {{openstack_osa_etc_path}}/user_secrets.yml"
args: